[arch-commits] Commit in unrar/repos (4 files)

Giovanni Scafora giovanni at archlinux.org
Mon May 4 04:51:54 EDT 2009


    Date: Monday, May 4, 2009 @ 04:51:53
  Author: giovanni
Revision: 37878

Merged revisions 37876 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/unrar/trunk

........
  r37876 | giovanni | 2009-05-04 01:42:18 -0700 (lun, 04 mag 2009) | 1 line
  
  upgpkg: unrar 3.9.1-1
........

Added:
  unrar/repos/extra-i686/unrar-3.9.1-makefile.unix.patch
    (from rev 37876, unrar/trunk/unrar-3.9.1-makefile.unix.patch)
Modified:
  unrar/repos/extra-i686/	(properties)
  unrar/repos/extra-i686/PKGBUILD
Deleted:
  unrar/repos/extra-i686/unrar-3.5.2-optimalization-fix.patch

--------------------------------------+
 PKGBUILD                             |   11 +++++++----
 unrar-3.5.2-optimalization-fix.patch |   12 ------------
 unrar-3.9.1-makefile.unix.patch      |   19 +++++++++++++++++++
 3 files changed, 26 insertions(+), 16 deletions(-)


Property changes on: unrar/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /unrar/trunk:1-25855
   + /unrar/trunk:1-37877

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-04 08:42:58 UTC (rev 37877)
+++ extra-i686/PKGBUILD	2009-05-04 08:51:53 UTC (rev 37878)
@@ -3,18 +3,21 @@
 # Contributor: dorphell <dorphell at gmx.net>
 
 pkgname=unrar
-pkgver=3.8.5
-pkgrel=2
+pkgver=3.9.1
+pkgrel=1
 pkgdesc="The RAR uncompression program"
 arch=('i686' 'x86_64')
 depends=('gcc-libs')
 url="http://rarlab.com"
 license=('custom')
-source=(http://www.rarlab.com/rar/unrarsrc-${pkgver}.tar.gz)
-md5sums=('875688e6a144a3f75d2a6a0da3e43f8b')
+source=(http://www.rarlab.com/rar/unrarsrc-${pkgver}.tar.gz
+        unrar-3.9.1-makefile.unix.patch)
+md5sums=('040566287bfe88b5a1148ab5f771bcfb'
+         '0748bffed661f40e323803444f621901')
 
 build() {
   cd ${srcdir}/${pkgname}
+  patch -Np1 -i ${srcdir}/unrar-3.9.1-makefile.unix.patch || return 1
   make -f makefile.unix
   install -Dm755 unrar ${pkgdir}/usr/bin/unrar
   # install license

Deleted: extra-i686/unrar-3.5.2-optimalization-fix.patch
===================================================================
--- extra-i686/unrar-3.5.2-optimalization-fix.patch	2009-05-04 08:42:58 UTC (rev 37877)
+++ extra-i686/unrar-3.5.2-optimalization-fix.patch	2009-05-04 08:51:53 UTC (rev 37878)
@@ -1,12 +0,0 @@
-diff -Naur unrar.orig/makefile.unix unrar/makefile.unix
---- unrar.orig/makefile.unix	2005-05-27 21:53:56.000000000 +0000
-+++ unrar/makefile.unix	2005-05-27 21:54:16.000000000 +0000
-@@ -7,7 +7,7 @@
- 
- # Linux using GCC
- CXX=g++
--CXXFLAGS=-O2
-+CXXFLAGS=${CFLAGS}
- DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
- STRIP=strip
- 

Copied: unrar/repos/extra-i686/unrar-3.9.1-makefile.unix.patch (from rev 37876, unrar/trunk/unrar-3.9.1-makefile.unix.patch)
===================================================================
--- extra-i686/unrar-3.9.1-makefile.unix.patch	                        (rev 0)
+++ extra-i686/unrar-3.9.1-makefile.unix.patch	2009-05-04 08:51:53 UTC (rev 37878)
@@ -0,0 +1,19 @@
+--- a/makefile.unix	2009-05-04 10:31:57.000000000 -0700
++++ b/makefile.unix	2009-05-04 10:31:57.000000000 -0700
+@@ -49,11 +49,11 @@
+ #DESTDIR=/usr
+ 
+ # Solaris using CC
+-CXX=CC
+-CXXFLAGS=-fast -erroff=wvarhidemem
+-DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
+-STRIP=strip
+-DESTDIR=/usr
++#CXX=CC
++#CXXFLAGS=-fast -erroff=wvarhidemem
++#DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
++#STRIP=strip
++#DESTDIR=/usr
+ 
+ # Solaris using GCC (optimized for UltraSPARC 1 CPU)
+ #CXX=g++



More information about the arch-commits mailing list